Chromium Code Reviews
Help | Chromium Project | Sign in
(110)

Issue 2757463004: Restrict use of GN target //media/base/android:android (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 6 days ago by jrummell (OOO until Apr 3)
Modified:
1 week, 2 days ago
CC:
chromium-reviews, mlamouri+watch-content_chromium.org, posciak+watch_chromium.org, Peter Beverloo, avayvod+watch_chromium.org, jam, feature-media-reviews_chromium.org, darin-cc_chromium.org, mlamouri+watch-media_chromium.org, piman+watch_chromium.org, android-webview-reviews_chromium.org, jochen+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Restrict use of GN target //media/base/android:android As //media/base/android:android is a source_set, multiple targets referencing it using DEPS result in multiple copies of the code being used when is_component_build = true. Adding a visibility restriction to the target, and changing all users to use //media (which should be the only target including the code). BUG=702438 TEST=gn check passes CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.android:android_optional_gpu_tests_rel;master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel Review-Url: https://codereview.chromium.org/2757463004 Cr-Commit-Position: refs/heads/master@{#458207} Committed: https://chromium.googlesource.com/chromium/src/+/397905b7040fa1c0329d3675bcfd1120c04d7867

Patch Set 1 #

Patch Set 2 : add cast #

Total comments: 4

Patch Set 3 : changes #

Unified diffs Side-by-side diffs Delta from patch set Stats (+13 lines, -15 lines) Patch
M android_webview/native/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M chromecast/common/media/BUILD.gn View 1 1 chunk +0 lines, -1 line 0 comments Download
M chromecast/media/cdm/BUILD.gn View 1 1 chunk +0 lines, -2 lines 0 comments Download
M content/gpu/BUILD.gn View 1 2 2 chunks +5 lines, -1 line 0 comments Download
M content/shell/android/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M media/BUILD.gn View 1 chunk +0 lines, -5 lines 0 comments Download
M media/base/android/BUILD.gn View 1 3 chunks +5 lines, -2 lines 0 comments Download
M media/blink/BUILD.gn View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M media/gpu/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 26 (16 generated)
jrummell (OOO until Apr 3)
PTAL. Minor change since //media will have the necessary dependencies, and nobody should reference //media/base/android:android ...
1 week, 5 days ago (2017-03-17 20:00:52 UTC) #11
xhwang_slow
LGTM with nits, thanks for the fix! https://codereview.chromium.org/2757463004/diff/20001/content/gpu/BUILD.gn File content/gpu/BUILD.gn (right): https://codereview.chromium.org/2757463004/diff/20001/content/gpu/BUILD.gn#newcode63 content/gpu/BUILD.gn:63: "//media/gpu/ipc/service", Add ...
1 week, 5 days ago (2017-03-17 23:24:07 UTC) #12
halliwell
On 2017/03/17 23:24:07, xhwang_slow wrote: > LGTM with nits, thanks for the fix! > > ...
1 week, 5 days ago (2017-03-17 23:24:38 UTC) #13
jrummell (OOO until Apr 3)
Updated. https://codereview.chromium.org/2757463004/diff/20001/content/gpu/BUILD.gn File content/gpu/BUILD.gn (right): https://codereview.chromium.org/2757463004/diff/20001/content/gpu/BUILD.gn#newcode63 content/gpu/BUILD.gn:63: "//media/gpu/ipc/service", On 2017/03/17 23:24:07, xhwang_slow wrote: > Add ...
1 week, 5 days ago (2017-03-17 23:45:38 UTC) #14
sgurun
On 2017/03/17 23:45:38, jrummell (OOO until Apr 3) wrote: > Updated. > > https://codereview.chromium.org/2757463004/diff/20001/content/gpu/BUILD.gn > ...
1 week, 2 days ago (2017-03-20 19:27:36 UTC) #15
brettw (plz ping after 24h)
lgtm
1 week, 2 days ago (2017-03-20 19:42:48 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2757463004/40001
1 week, 2 days ago (2017-03-20 19:53:24 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/387603)
1 week, 2 days ago (2017-03-20 20:45:18 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2757463004/40001
1 week, 2 days ago (2017-03-20 21:19:05 UTC) #23
commit-bot: I haz the power
1 week, 2 days ago (2017-03-20 22:37:19 UTC) #26
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/397905b7040fa1c0329d3675bcfd...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46